* {
  padding: 0;
  margin: 0;
  font-size: 14px;
  font-family: source-han-sans-cjk-ja, sans-serif;
  font-weight: 400;
  font-style: normal;
}

ul {
  display: flex;
  justify-content: space-between;
}

li {
  list-style: none;
}

h1 {
  font-size: 40px;
  font-weight: 600;
}

.j-h1 {
  font-size: 36px;
}

h2 {
  font-size: 24px;
  font-weight: 600;
}

h3 {
  font-size: 20px;
  font-weight: 600;
}

a {
  color: #fefefe;
  text-decoration: none; 
} 

a:hover {
  opacity: 50%;
  transition: 0.5s;
}

img {
  box-shadow: 0 0 10px #000000;
}

/* ~~~~add~~~~~ */

p {
  line-height: 1.8em;
}

.detail-button {
  display: inline-block;
  transition: 0.5s;
}

.detail-button p {
  white-space: nowrap;
}

.detail-button:hover {
  text-decoration: underline;
}


/* big tablet screen */
@media  screen and (max-width: 1200px) { 
  h1 {
    font-size: 36px;
    font-weight: 600;
  }

  .j-h1 {
    font-size: 32px;
  }
  
  h2 {
    font-size: 16px;
    font-weight: 600;
  }
  
  h3 {
    font-size: 14px;
    font-weight: 600;
  }

  p {
    font-size: 12px;
  }

  img {
    box-shadow: 0 0 8px #000000;
  }
}

/* mini tablet screen - big smart phone */
@media  screen and (max-width: 768px) { 
  h1 {
    font-size: 24px;
    font-weight: 600;
  }

  .j-h1 {
    font-size: 24px;
  }
  
  h2 {
    font-size: 16px;
    font-weight: 600;
  }
  
  h3 {
    font-size: 12px;
    font-weight: 600;
  }

  p {
    font-size: 10px;
  }
}

/* iPhone SE */
@media  screen and (max-width: 500px) { 
  h1 {
    font-size: 20px;
    font-weight: 600;
  }

  .j-h1 {
    font-size: 16px;
  }
  
  h2 {
    font-size: 14px;
    font-weight: 600;
  }
  
  h3 {
    font-size: 12px;
    font-weight: 600;
  }

  p {
    font-size: 10px;
  }
}


/* ------------------ */

html {
  background-color: black;
  color: #ffffff;
}

header {
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  z-index: 9999;
  width: 100%;
}

.header-contents .logo img {
  height: 25px;
  font-size: 20px;
  box-shadow: none;
}

.header-contents {
  display: flex;
  height: 50px;
  padding: 0 10% 0 10%;
  justify-content: space-between;
  align-items: center;
}

.header-contents nav {
  width: 50%;
}

.header-contents a {
  display: block;
}

.contact-button {
  text-align: center;
  background-color: #000000;
  color: #fefefe;
  padding: 5px 10px;
  border: #fefefe 1.5px solid;
  border-radius: 10px;
}

.contact-button:hover {
  color: #000000;
  background-color: #fefefe;
  opacity: 100%;
}

/* 2024-12-28 changed */

.sp-header-contents {
  display: none;
}

.header-menu {
  transition: 0.5s;
}


/* big tablet phone */
@media  screen and (max-width: 1200px) { 
    
}

/* mini tablet screen - big smart phone */
@media  screen and (max-width: 768px) { 
  .header-contents {
    display: none;
  }

  .sp-header-contents {
    display: block;
  }

  .header-menu {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 500;
    width: 80%;
    max-width: 400px;
    height: 100%;
    background-color: rgba(0, 0, 0, 1.0);
    transform: translateX(100%);
  }

  .menu-list {
    width: 100%;
    padding-left: 8px;
    padding-right: 8px;
  }

  .header-menu ul {
    margin: 150px 32px;
    height: 25%;
    flex-direction: column;
    align-items: self-end;
    justify-content: space-between;
  }

  .header-menu li {
    margin-bottom: 10px;
    width: 100%;
    border-bottom: solid 1px #fefefe;
  }

  .header-menu a {
    font-size: 18px;
    display: block;
  }

  .hamburger {
    position: absolute;
    top: 32px;
    right:32px;
    cursor: pointer;
    width: 32px;
    height: 24px;
    z-index: 9999;
  }

  .hamburger span {
    /*3本の線を作る*/
    transition: all .3s;
    position: absolute;
    height: 2px;
    background-color: #fefefe;
    width:100%;
    z-index: 10;
  }
  
  .hamburger span:nth-of-type(1) {
    /*上の線の位置*/
    top: 4px;
  }
  
  .hamburger span:nth-of-type(2) {
    /*真ん中の線の位置*/
    top: 12px;
  }
  
  .hamburger span:nth-of-type(3) {
    /*下の線の位置*/
    top: 20px;
  }
  
  .hamburger.open span:nth-of-type(1) {
    /*openのとき、上の線を右斜めにする*/
    top: 10px;
    transform: translateY(6px) rotate(-33deg);
  }
  
  .hamburger.open span:nth-of-type(2) {
    /*真ん中の線を消す*/
    opacity: 0;
  }

  .hamburger.open span:nth-of-type(3) {
    /*下の線を左斜めにする*/
    top: 22px;
    transform: translateY(-6px) rotate(33deg);
  }

  .open {
    transform: translateX(0);
  }
}

/* iPhone SE */
@media  screen and (max-width: 500px) { 
    
}

/* ---------------- */

.eye-catch-contents {
  display: grid;
  padding-top: 50px;
  grid-template-columns: 1fr 10fr 1fr;
}

.eye-catch-contents .center {
  display: flex;
  padding: 100px 10px 30px;
  justify-content: space-between;
}

.eye-title p:nth-child(1){
  font-size: 64px;
  font-weight: 900;
}

.eye-title p:nth-child(2){
  font-size: 12px;
  font-weight: 600;
}

.eye-right-contents {
  width: 40%;
  margin-top: 20px;
  text-align: left;
}

.eye-info {
  margin-bottom: 20px;
}

.eye-info a {
  display: inline;
  text-decoration: underline;
}

.sns ul {
  justify-content: flex-start;
  gap: 10%;
}

.sns-icon img {
  max-width: 40px;
  height: 40px;
}

/* big tablet phone */
@media  screen and (max-width: 1200px) { 
  .eye-catch-contents{
    grid-template-columns: 1fr 18fr 1fr;
  }
}

/* mini tablet screen - big smart phone */
@media  screen and (max-width: 768px) {   
  .eye-catch-contents {
    grid-template-columns: auto;
    height: 90vh;
  }

  .eye-catch-contents .center {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 10px 10px 50px;
    text-align: center;
  }

  .eye-title p:nth-child(1){
    font-size: 48px;
  }

  .eye-title p:nth-child(2) {
    font-size: 10px;
    position: relative;
    top: -20px;
  }

  .eye-right-contents {
    width: 80%;
    max-width: 400px;
  }

  .eye-right-contents .sns {
    display: none;
  }

  .eye-info {
    text-align: center;
  }

  .sns-icon img {
    max-width: 32px;
    height: 32px;
  }
}

/* iPhone SE */
@media  screen and (max-width: 500px) { 
    
}


/* -------------------- */

.projects-page-contents {
  display: grid;
  grid-template-columns: 1fr 10fr 1fr;
}

.projects-page-contents .center {
  padding: 75px 10px;
}

.projects-page-contents .title-contents {
  text-align: center;
}

.pj-inf {
  display: flex;
  margin: 75px 0 75px;
  justify-content: space-between;
}

.pj-inf:nth-child(4) {
  flex-direction: row-reverse;
}

.pj-inf .pj-text-inf {
  width: 45%;
}

.pj-title-contents p:nth-child(2) {
  margin-bottom: 30px;
}

.pj-text-contents {
  margin-top: 50px;
}

.pj-text-contents h2 {
  margin-bottom: 30px;
}

.pj-inf img {
  width: 45%;
  height: 600px;
  object-fit: cover;
}

/* big tablet phone */
@media  screen and (max-width: 1200px) { 
  .projects-page-contents {
    grid-template-columns: 1fr 18fr 1fr;
  }

  .pj-inf {
    align-items: center;
  }

  .pj-inf .pj-text-inf {
    width: 48%;
  }
  
  .pj-title-contents p:nth-child(2) {
    margin-bottom: 10px;
  }
  
  .pj-text-contents {
    margin-top: 25px;
  }
  
  .pj-text-contents h2 {
    margin-bottom: 10px;
  }
  
  .pj-inf img {
    width: 48%;
    max-height: 450px;
  }
}

/* mini tablet screen - big smart phone */
@media  screen and (max-width: 768px) { 
  .projects-page-contents {
    grid-template-columns: auto;
  }

  .pj-inf {
    flex-direction: column;
  }

  .pj-inf:nth-child(4) {
    flex-direction: column;
  }

  .pj-inf .pj-text-inf {
    width: 80%;
    text-align: center;
    margin-bottom: 75px;
  }

  .pj-title-contents {
    margin-bottom: 75px;
  }
  
  .pj-text-contents {
    margin-top: 25px;
  }
  
  .pj-text-contents h2 {
    margin-bottom: 10px;
  }
  
  .pj-inf img {
    width: 80%;
    max-height: 450px;
  }

}

/* iPhone SE */
@media  screen and (max-width: 500px) { 
  .pj-inf img {
    width: 100%;
    max-height: 450px;
  }
}

/* -------------------- */

.QandA-contents {
  display: grid;
  grid-template-columns: 1fr 10fr 1fr;
}

.QandA-contents .center {
  text-align: center;
  padding: 75px 10px;
}

.question-gallery {
  text-align: left;
  width: 75%;
  display: flex;
  margin: 150px auto;
  flex-direction: column;
  gap: 30vh;
}

.question {
  display: flex;
  justify-content: space-between;
}

.question:nth-child(2) {
  flex-direction: row-reverse;
}

.question .question-text {
  width: 45%;
}

.question img {
  width: 45%;
  max-height: 300px;
  aspect-ratio: 1 / 1;
  background-color: #000000;
}

.question-text h2 {
  font-size: 56px;
  margin-bottom: 10px;
}

.question-text p:nth-child(2) {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 30px;
}

.pj-comment {
  padding: 100px 0 100px;
  text-align: center;
}

.pj-comment h2 {
  margin-bottom: 30px;
}

/* big tablet phone */
@media  screen and (max-width: 1200px) { 
  .QandA-contents {
    grid-template-columns: 1fr 18fr 1fr;
  }
}

/* mini tablet screen - big smart phone */
@media  screen and (max-width: 768px) { 
  .QandA-contents {
    grid-template-columns: auto;
  }
}

/* iPhone SE */
@media  screen and (max-width: 500px) { 
  .question {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .question:nth-child(2) {
    flex-direction: column;
  }

  .question .question-text {
    width: 100%;
    text-align: center;
  }

  .pj-comment {
    padding: 0 0 100px;
    text-align: center;
  }
}

/* -------------------- */

footer {
  padding: 50px 10%;
}

footer .sns {
  margin-top: 50px;
  width: 50%;
}

@media  screen and (max-width: 768px) { 
  footer {
    padding: 50px 5%;
    text-align: center;
  }

  footer .sns {
    margin-top: 30px;
    width: 100%;
  }

  .sns ul {
    margin: 0 25%;
    justify-content: space-around;
  }
}

@media  screen and (max-width: 500px) { 
    
}

/*-------*/
/* -main horizon line style- */

.main-horizon-line {
  display: block;
  height: 1px;
  background-color: #fefefe;
  transition: 1.5s;
}

.main-horizon-line-typeA {
  width: calc(100% / 12 * 11);
}

.main-horizon-line-typeB {
  width: calc(100% + 20px);
  transform: translateX(-10px);
}

.main-horizon-line-typeC {
  width: calc(100% / 12 * 10);
  margin-left: calc(100% / 12);
}

.main-horizon-line-typeD {
  width: 100%;
}

.horizon-line-anime {
  width: 0;
}

/* -sub vertical line style- */

.sub-vertical-line {
  display: block;
  width: 1px;
  background-color: #fefefe;
  transition: 1.5s;
}

.line-left {
  margin-left: auto;
}

.line-right {
  margin-right: auto;
}

.sub-vertical-line-typeA {
  height: 110%;
}

.sub-vertical-line-typeB {
  height: 60%;
}

.sub-vertical-line-typeC {
  position: relative;
  margin-top: 700px;
  height: 70%;
}

.sub-vertical-line-typeD {
  position: relative;
  transform: translateY(-50px);
  height: calc(100% + 50px);
}

.vertical-line-anime {
  height: 0;
}

/* ----------- */

.grid__item:nth-child(1) {
  background: #000000;
}

.bg-section-01 {
  background-image: url(../src/bg-test2.png);
  background-size: cover;
  background-repeat: no-repeat;
}

.fadeIn {
  opacity: 0;
  transform: translateY(50px);
}

/* big tablet phone */
@media  screen and (max-width: 1200px) {
  .main-horizon-line-typeA {
    width: calc(100% / 20 * 19);
  }

  .main-horizon-line-typeC {
    width: calc(100% / 20 * 18);
    margin-left: calc(100% / 20);
  }
}

/* mini tablet screen - big smart phone */
@media screen and (max-width: 768px) { 
  
  .main-horizon-line-typeA {
    width: 100%;
  }
  
  .main-horizon-line-typeC {
    width: 100%;
    margin-left: 0;
  }

  .grid__item:nth-child(1) {
    display: none;
  }

  .grid__item:nth-child(3):not(.third) {
    display: none;
  }
}

/* iPhone SE */
@media  screen and (max-width: 500px) { 
    
}
